package com.yeejoin.amos.boot.module.jyjc.biz.service.impl.handler;

import com.yeejoin.amos.boot.module.jyjc.api.enums.BizTypeEnum;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 定检
 * <p>
 * ProjectName: amos-boot-biz
 * PackageName: com.yeejoin.amos.boot.module.jyjc.biz.service.impl.handler
 *
 * @author yangyang
 * @version v1.0
 * @date 2023/12/15 16:32
 */
@Component
public class FirstInspectionApplicationHandlerServiceImpl extends AbstractJyjcInspectionApplicationHandlerServiceImpl {

    @Override
    public String type() {
        return BizTypeEnum.FIRST_INSPECTION.getCode();
    }

    @Override
    public boolean notifyInspectionUnit(Map<String, Object> params) {
        super.notifyInspectionUnit(params);
        // todo
        return true;
    }
}
